GuardSignerService
Create Guard Signer Wallet
Create a guard signer wallet for one authenticated account target.
Method
POST
Path
/v1/chain/guard-signer/wallets
Visibility
Authentication
Session token or API key
MFA Requirement
Not required
POST
/v1/chain/guard-signer/wallets Request
Testnet
curl --request POST \ \
--url 'https://api.testnet.polyester.com/v1/chain/guard-signer/wallets' \
--header 'Accept: */*' \
--header 'X-API-KEY-ID: YOUR_API_KEY_ID' \
--header 'X-API-TIMESTAMP: YOUR_API_TIMESTAMP' \
--header 'X-API-SIGNATURE: YOUR_API_SIGNATURE' \
--header 'Content-Type: application/json' \
--data '{
"subaccountId": "6789012345678"
}'Responses
{
"signerAddress": "0x5555555555555555555555555555555555555555"
} subaccountId string (int64)
Optional subaccount public id. When omitted, the authenticated caller's root account is used as the target account.
signerAddress string
EVM address of the created guard signer wallet.
Example
0x5555555555555555555555555555555555555555| Key | Status | Error | When |
|---|---|---|---|
| unauthenticated | 401 | Unauthenticated | Authentication required. |
| permission-denied | 403 | Permission Denied | Permission denied. |
| invalid-argument | 400 | Invalid Argument | Invalid argument. |
| not-found | 404 | Not Found | Not found. |
| unavailable | 503 | Unavailable | Service unavailable. |